from fastapi import APIRouter, Depends

from api.di import get_user_service
from api.schemas import UserReadDTO
from api.services import UserService

router = APIRouter()


@router.get("/users", response_model=list[UserReadDTO])
async def get_user_list(
    user_service: UserService = Depends(get_user_service),
) -> list[UserReadDTO]:
    return await user_service.get_all_users()


@router.get("/status")
def get_status():
    return {"status": "OK"}
